Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package com.thaiopensource.validate

Interface Summary
Option |
Schema | A schema that can be used to validate an XML document.
SchemaReader | A SchemaReader object is immutable and can thus be safely accessed concurrently from multiple threads.
SchemaReaderFactory | A factory for SchemaReader.
Validator | Validates an XML document with respect to a schema.

Class Summary
AbstractSchema |
AbstractSchemaReader |
CombineSchema |
CombineValidator |
Flag | A class with a unique value, used as the value of properties whose significance is purely whether or not they are present in the PropertyMap.
FlagOption |
FlagPropertyId | A PropertyId whose value is not significant.
ResolverFactory |
SchemaReaderLoader | A SchemaReaderFactory that automatically discovers SchemaReader implementations.
StringOption |
StringPropertyId | A PropertyId whose value is constrained to be an instance of String.
ValidateProperty | Provides common properties to control reading schemas and validation.
ValidationDriver | Provides a simplified API for validating XML documents against schemas.

Exception Summary
IncorrectSchemaException | Thrown to indicate an XML document is not a correct schema, either because the XML document is not well-formed or because it fails to be correct in some other way.
OptionArgumentException |
OptionArgumentFormatException |
OptionArgumentPresenceException |

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES